## net.sf.saxon.expr
Class Atomizer.AtomizingFunction

    java.lang.Object
      net.sf.saxon.expr.Atomizer.AtomizingFunction

All Implemented Interfaces:
  MappingFunction

Enclosing class:
  Atomizer

    public static class Atomizer.AtomizingFunction

extends java.lang.Object
implements MappingFunction

Implement the mapping function. This is stateless, so there is a singleton instance.

Method Summary
`static Atomizer.AtomizingFunction` `getInstance()` Get the singleton instance
`SequenceIterator` `map(Item item)` Map one item to a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Atomizer.AtomizingFunction getInstance()

  Get the singleton instance

  Returns:
    the singleton instance of this mapping function

### map

    public SequenceIterator map(Item item)
                         throws XPathException

  Description copied from interface: `MappingFunction`
  Map one item to a sequence.

  Specified by:
    `map` in interface `MappingFunction`
  Parameters:
    `item` - The item to be mapped.
  Returns:
    one of the following: (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) null if it maps to an empty sequence.
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.